Name:           dmenu
Version:        4.5
Release:        4%{?dist}
Summary:        Generic menu for X
Group:          User Interface/Desktops
License:        MIT
URL:            http://www.suckless.org/programs/%{name}.html
Source0:        http://dl.suckless.org/tools/%{name}-%{version}.tar.gz
Patch0:         dmenu-4.5-make.patch
BuildRequires:  libX11-devel
BuildRequires:  libXinerama-devel
Requires:       terminus-fonts
# dmenu-4.5 switched to a more generic tool, stest (f17 note)
Obsoletes:      lsx < 0.1-2
Provides:       lsx = 0.1-2

%description
Dynamic menu is a generic menu for X, originally designed for dwm. It manages
huge amounts (up to 10.000 and more) of user defined menu items efficiently.

%prep
%setup -q
%patch0 -p1
sed -i -e 's|\t@|\t|' Makefile

%build
make \
    X11INC=%{_includedir} \
    X11LIB=%{_libdir} \

%install
make install \
     DESTDIR=%{buildroot} \
     PREFIX=%{_prefix} \
     MANPREFIX=%{_mandir}

%files
%doc LICENSE README
%{_bindir}/%{name}*
%{_bindir}/stest
%{_mandir}/man*/%{name}.*
%{_mandir}/man*/stest.*

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jan 09 2012 Petr Šabata <contyk@redhat.com> - 4.5-1
- 4.5 bump
- Switching from lsx to stest

* Mon Sep 19 2011 Petr Sabata <contyk@redhat.com> - 4.4.1-1
- 4.4.1 bump

* Tue Aug 02 2011 Simon Wesp <cassmodiah@fedoraproject.org> - 4.4-2
- Rebuild against newest dependencies

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 4.4-1
- 4.4 bump
- This version integrates lsx, adding proper obsoletes/provides

* Mon Jun 13 2011 Petr Sabata <contyk@redhat.com> - 4.3.1-2
- dmenu no longer uses sselp at runtime, removing sselp dependency

* Thu May 19 2011 Petr Sabata <psabata@redhat.com> - 4.3.1-1
- 4.3.1 bugfix update

* Thu May 19 2011 Petr Sabata <psabata@redhat.com> - 4.3-1
- 4.3 released today
- Buildroot and defattr cleanup
- Use macros in URL and Source
- Use RPM_OPT_FLAGS in config.mk patch

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 20 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 4.2.1-1
- New upstrem version

* Mon Jun 28 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 4.1.1-1
- New upstrem version

* Sat Dec 12 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 4.0-2
- merged with the spec-file of Jan Blazek

* Thu Oct 15 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 4.0-1
- Initial Package Build
